body {
    overflow-y: auto;
    font-family: 'Kanit', sans-serif;
    font-size: 18px;
    font-weight: 300;
    line-height: 28px;
    background: #fff;
    color: #555
}

h1,
h2,
h3,
h4,
h5 {
    font-family: 'Kanit', sans-serif;
    font-weight: 400;
}

h1 {
    font-weight: 500;
    font-size: 32px;
    line-height: 48px
}

h2 {
    font-size: 30px;
    line-height: 38px
}

h3 {
    font-weight: 500;
    font-size: 22px;
    line-height: 28px;
    color: #ea0029
}

h4 {
    font-size: 18px;
    line-height: 24px;
    font-weight: 400
}

h5 {
    font-size: 16px;
    line-height: 20px;
    font-weight: 400
}

.color-red {
    color: #ea0029
}

.clear {
    clear: both
}

.align-right {
    text-align: right
}

.align-center {
    text-align: center
}

a {
    color: #555;
    text-decoration: none;
}

a:hover {
    color: #ea0029;
    text-decoration: underline;
}

b,
strong {
    font-weight: 400;
}

.container {
    position: relative
}

a.navbar-brand h1 img {
    width: 70%;
    height: auto
}

figure {
    margin: 0;
    padding: 0;
}

.box-content {
    position: relative;
    width: 100%
}

.product-category {
    background-image: url(../images/footer-backgroud.jpg);
    background-color: #DE1F26;
    background-position: bottom center;
    background-repeat: no-repeat;
    color: #fff;
}

.news-on-home h2 {
    line-height: 32px;
    font-weight: 400;
    color: #DE1F26;
}

.news-on-home .news-list-view img {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: top;
}

.social-on-home img,
.news-on-home img {
    margin-bottom: 15px;
    transition: transform 0.3s ease;
}

.social-on-home img:hover,
.news-on-home img:hover {
    transform: scale(1.1);
}

#footer {
    position: relative;
    padding: 45px 0;
}

#footer {
    background-color: #DE1F26;
    color: #fff;
    position: relative;
}

#footer .mascot {
    height: auto;
    position: absolute;
    bottom: 0;
}

#footer .mascot img {
    width: 100%;
    height: auto;
}

#footer .footer-contact strong {
    display: inline-block;
    min-width: 115px;
}

#footer .footer-brand img {
    max-width: 150px;
}

#footer .social-icons a {
    display: inline-block;
}

#footer .social-icons img {
    max-width: 32px;
}

#footer h5 {
    margin-left: 65px
}

#footer a {
    color: #fff
}

#footer a:hover {
    text-decoration: underline;
}

#footer p {
    margin: 0;
}

#footer .social-link table,
#footer .social-link table.contact td i {
    font-size: 16px;
    line-height: 24px;
}

#certificate {
    background: #f7e300;
}

a.scroll-to-top {
    z-index: 200;
    line-height: 20px;
    color: #fff !important;
    display: none;
    cursor: pointer;
    font-size: 80%;
    border-radius: 5px;
    width: 35px;
    position: fixed;
    right: 15px;
    bottom: 95px;
    background: #555;
    height: 30px;
    text-align: center;
    padding: 5px
}

.navbar {
    background-image: url(../images/mainmenu-background.jpg);
    background-color: #DE1F26;
    background-position: top center;
    background-repeat: repeat;
    padding: 7px 0;
}

.navbar a {
    color: #fff;
    text-transform: uppercase
}

.lang-switcher {
    position: absolute;
}

.navbar-toggler {
    position: absolute;
    padding: 0;
    top: 32px;
    color: #0000008c;
    border-color: #0000001a;
    right: 15px;
    display: none
}

.navbar-toggler span {
    padding: 3px
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding: .5rem 1rem
}

.navbar-expand-lg .navbar-nav .nav-link:hover {
    color: #fff;
}

.dropdown-menu {
    padding: 5px
}

.nav-item a:hover {
    text-decoration: none;
    border-bottom: 1px dotted #fff
}

.dropdown-menu {
    padding: 15px;
}

.dropdown-item {
    font-weight: 300;
}

.dropdown-menu ul {
    list-style: none;
    padding: 0
}

.dropdown-menu ul a {
    padding: 0;
    color: #555;
    text-transform: capitalize
}

.dropdown-menu ul a:hover {
    color: #ea0029
}

a.dropdown-item.active {
    background-color: transparent;
    color: #ea0029
}

.lang-switcher a.active {
    font-weight: 500;
    color: #ea0029;
}

#footer .social-link table {
    float: right
}

.owl-dots {
    display: table;
    margin: 0 auto;
    padding: 0
}

.owl-dots button {
    display: table-cell
}

.owl-dots button span {
    font-size: 0;
    padding: 3px 15px;
    line-height: 1;
    border: 0;
    margin: 0 5px;
    background-color: #ff0000b3
}

.owl-dots button.active span {
    background-color: #000
}

.frame-space-before-extra-small {
    margin-top: 5px
}

.frame-space-before-small {
    margin-top: 15px
}

.frame-space-before-medium {
    margin-top: 30px
}

.frame-space-before-large {
    margin-top: 45px
}

.frame-space-before-extra-large {
    margin-top: 60px
}

.frame-space-after-extra-small {
    margin-bottom: 5px
}

.frame-space-after-small {
    margin-bottom: 15px
}

.frame-space-after-medium {
    margin-bottom: 30px
}

.frame-space-after-large {
    margin-bottom: 45px
}

.frame-space-after-extra-large {
    margin-bottom: 60px
}

.ce-headline-center {
    text-align: center !important
}

.ce-headline-right {
    text-align: right !important
}

.image-embed-item {
    width: 100%;
    height: auto
}

.sidemenu {
    clear: both;
}

.sidemenu ul,
.sidemenu ul li {
    margin: 0;
    padding: 0;
    list-style: none
}

.sidemenu ul li {
    text-transform: uppercase;
    background: #eee;
    margin-bottom: 3px;
    padding: 7px 15px
}

.sidemenu ul li.active {
    background: #ea0029
}

.sidemenu ul li.active a {
    color: #fff
}

.certificate-box {
    background: #f1f1f1;
    text-align: center;
    padding: 20px 0;
    margin-bottom: 30px
}

.certificate-box .img-circle {
    max-width: 65%;
    border-radius: 50%;
    border: 8px solid #dbdbdb;
    background: #fff
}

.certificate-box p {
    line-height: 18px;
    font-size: 14px;
    min-height: 75px;
    margin: 0;
    padding: 15px
}

.product-header {
    clear: both
}

.product-header h1 {
    text-transform: uppercase;
    font-weight: 400
}

.product-header h2,
.product-header h3,
.product-header h4,
.product-header h5 {
    color: #ea0029
}

a.facebook {
    display: block;
    font-size: 150%;
    padding: 15px;
    border: 1px solid
}

a.facebook:hover {
    color: #555
}

a.facebook i {
    padding: 8px 15px;
    background: #0056b3;
    color: #fff;
    border-radius: 50%
}

table.contact td {
    vertical-align: top
}

.news-footer,
.teaser-text {
    font-size: 12px;
    line-height: 16px
}

.teaser-text a.more {
    display: table;
    padding: 5px;
    background: #eee
}

.slick-slider .slick-dots {
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 0;
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    -webkit-justify-content: center;
}

.slick-slider .slick-dots li {
    margin: 0 0.1875rem;
}

.slick-slider .slick-dots li button {
    background-color: rgba(0, 0, 0, 0);
    border: 0.0625rem solid #ea0029;
    border-radius: 50%;
    padding: 0;
}

.slick-slider .slick-dots li.slick-active button {
    background-color: #ea0029;
}

.songheng-product-category {
    background-image: url(../images/songheng-brand-backgroud.jpg);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
    background-color: #DE1F26;
}

.songheng-product-category .ce-textpic {
    text-align: center;
}

.songheng-product-category .ce-bodytext p {
    font-size: 12px;
    line-height: 14px;
    margin-top: 0;
    color: #fff;
}

.songheng-product-category .ce-bodytext a:hover {
    text-decoration: underline;
}

.songheng-product-category img {
    transition: transform 0.3s ease;
}

.songheng-product-category img:hover {
    transform: scale(1.1);
    cursor: pointer;
}

.songheng-product-category .frame-layout-1 {
    margin: 15px 0;
}

.songheng-product-category .frame-layout-1 a {
    padding: 5px 20px;
    color: #ea0029;
    background-color: #fff;
    text-decoration: none;
    border-radius: 5px;
}

.songheng-product-category .frame-layout-1 a:hover {
    text-decoration: underline;
}

.songheng-story {
    position: relative;
    width: 100%;
}

.songheng-story .frame-type-text {
    position: absolute;
    bottom: 30%;
    right: 30%;
}

.songheng-story .frame-type-text a {
    text-align: center;
    background-color: #ea0029;
    color: #fff;
    padding: 5px 20px;
    text-decoration: none;
    border-radius: 5px;
}

.songheng-story .frame-type-text a:hover {
    text-decoration: underline;
}

.songheng-story .frame-type-header {
    position: absolute;
    top: 20px;
    right: 0;
    width: 48%;
}

.songheng-story h2 {
    color: #ea0029;
    font-size: 36px;
}

figcaption.image-caption {
    display: none;
}

.frame-layout-1 h1,
.frame-layout-1 h2 {
    color: #ea0029;
    text-transform: uppercase;
}

.frame-layout-1 h1 {
    font-size: 36px;
}

.frame-layout-1 h2 {
    font-size: 28px;
}

.frame-layout-1 a.text-center {
    text-align: center;
}

.frame-layout-1 .image-embed-item {
    width: 200px;
    margin: 30px auto;
}

.frame-layout-1,
.frame-layout-2,
.frame-layout-3 {
    position: relative;
}

.frame-layout-2 header,
.frame-layout-3 header {
    position: absolute;
    left: 0;
    right: 0;
    z-index: 1;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
}

.frame-layout-2 header h2 {
    font-size: 48px;
    color: #fff;
    font-weight: 400;
}

.frame-layout-3 header h2 {
    font-size: 48px;
    color: #ea0029;
    font-weight: 400;
}

.ce-gallery img.image-embed-item {
    margin-bottom: 5px;
}

.ce-gallery a {
    display: block;
    margin-bottom: 5px;
}

.ce-gallery a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* Ensures the image covers the container while maintaining aspect ratio */
    transition: transform 0.5s ease;
    /* Smooth animation for the transform property over 0.5 seconds */
    vertical-align: middle;
    /* Fixes a common alignment issue with images in containers */
}

.ce-gallery a:hover img {
    transform: scale(1.05);
    /* Zoom in the image by 20% on hover */
}

#c9 .ce-gallery a,
#c9 .ce-gallery a img,
#c9 .ce-gallery img.image-embed-item,
#c12 .ce-gallery a,
#c12 .ce-gallery a img,
#c12 .ce-gallery img.image-embed-item {
    margin: 0;
}

#c9 .ce-gallery a:hover img,
#c12 .ce-gallery a:hover img {
    transform: scale(1);
}

@media only screen and (max-width: 991px) {
    .slick-slider .slick-dots {
        margin-top: 1rem;
    }

    .slick-slider .slick-dots li button {
        width: 1rem;
        height: 1rem;
    }

    .slick-slider .slick-dots {
        margin: 0.75rem;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 10px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 24px;
    }

    .songheng-product-category {
        min-height: 715px;
        background-position: top left;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 45px;
    }

    .songheng-story .frame-type-header {
        top: 10px;
        width: 48%;
    }

    .songheng-story .frame-type-text {
        bottom: 20%;
        right: 25%;
    }

    .songheng-product-category .ce-bodytext p {
        margin: 0;
        font-size: 10px;
    }

}

@media only screen and (max-width: 767px) {
    .navbar-toggler {
        display: block
    }

    .header-logo img {
        width: 35%;
        padding: 10px 0
    }

    .lang-switcher {
        right: 50px;
        top: 45px;
    }

    .navbar-toggler {
        top: 46px
    }

    #footer .footer-contact strong {
        min-width: 90px;
    }

    #footer .mascot {
        right: 15px;
        bottom: 0;
        width: 120px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 0px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 14px;
    }

    .songheng-product-category {
        min-height: 600px;
        background-position: top left;
    }

    .songheng-product-category .frame-layout-1 a {
        font-size: 80%;
    }

    .songheng-story .frame-type-header {
        top: 10px;
        width: 48%;
    }

    .songheng-story .frame-type-text {
        bottom: 15%;
        right: 25%;
    }

    .songheng-story .frame-type-text a {
        font-size: 50%;
    }
}

@media only screen and (max-width: 479px) {
    .header-logo img {
        width: 55%;
        padding: 10px 0
    }

    .lang-switcher {
        right: 50px;
        top: 30px;
    }

    .navbar-toggler {
        top: 32px;
    }

    .slick-slider .slick-dots {
        margin-top: 0.5rem;
    }

    #footer .mascot {
        right: 10px;
        bottom: 0;
        width: 75px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 0;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 12px;
        line-height: 18px;
    }

    .songheng-product-category {
        min-height: 720px;
        background-position: top left;
    }

    .songheng-product-category .frame-layout-1 a {
        font-size: 70%;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 20px;
    }

    .songheng-story .frame-type-header {
        top: 0;
        width: 48%;
    }

    .songheng-story .frame-type-text {
        bottom: 5%;
        right: 15%;
    }

    .songheng-story .frame-type-text a {
        font-size: 50%;
    }

    .frame-layout-1 .image-embed-item {
        width: 150px;
    }

    .frame-layout-1 h1 {
        font-size: 28px;
    }

    .frame-layout-1 h2 {
        font-size: 21px;
    }

    .frame-space-after-extra-large {
        margin-bottom: 15px;
    }

    .frame-space-before-medium {
        margin-top: 5px;
    }

    #footer {
        font-size: 85%;
        line-height: 125%;
    }
}

@media (min-width: 768px) {
    .navbar-toggler {
        display: block;
        top: 36px;
    }

    .navbar-expand-lg .navbar-nav .nav-link {
        font-size: 95%
    }

    .navbar-expand-lg .navbar-collapse {
        align-items: center;
        justify-content: center;
    }

    .header-logo {
        display: block;
        text-align: center;
    }

    .header-logo img {
        width: 280px;
    }

    .lang-switcher {
        position: absolute;
        top: 35px;
        right: 7%;
    }

    .slick-slider .slick-dots li button {
        width: 0.75rem;
        height: 0.75rem;
    }

    .slick-slider .slick-dots {
        margin: 0.25rem;
    }

    .slick-slider .slick-dots li {
        width: 12px;
        height: 15px;
    }

    #footer .mascot {
        right: 0%;
        bottom: 0;
        width: 175px;
    }

    .news-on-home h2 {
        font-size: 13px;
    }
}

@media (min-width: 992px) {
    .navbar-toggler {
        display: none;
    }

    .news-on-home h2 {
        font-size: 18px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 10px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 26px;
    }

    .songheng-product-category {
        min-height: 600px;
        background-position: top left;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 45px;
    }

    .songheng-story .frame-type-header {
        top: 10px;
        width: 48%;
    }
}

@media only screen and (min-width: 1024px) {
    #bestoffer img {
        max-width: 65%
    }

    .news-on-home h2 {
        font-size: 19px;
    }

    #footer .mascot {
        right: 5%;
        width: 160px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 10px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 28px;
    }

    .songheng-product-category {
        min-height: 620px;
        background-position: top left;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 45px;
    }

    .songheng-story .frame-type-header {
        top: 10px;
        width: 48%;
    }

    .songheng-story .frame-type-text {
        bottom: 25%;
        right: 25%;
    }
}

@media only screen and (min-width: 1140px) {

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 20px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 32px;
    }

    .songheng-product-category {
        min-height: 630px;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 55px;
    }

    .songheng-story .frame-type-header {
        top: 20px;
        width: 48%;
    }

    .songheng-story .frame-type-text {
        right: 26%;
    }
}

@media only screen and (min-width: 1366px) {

    .news-on-home h2 {
        font-size: 23px;
    }

    #footer .mascot {
        right: 8%;
        width: 175px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 25px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 36px;
    }

    .songheng-product-category {
        min-height: 730px;
        background-position: top center;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 70px;
    }

    .songheng-story .frame-type-header {
        top: 25px;
        width: 48%;
    }
}

@media only screen and (min-width: 1500px) {

    .news-on-home h2 {
        font-size: 24px;
    }

    #footer .mascot {
        right: 15%;
        width: 225px;
    }

    .frame-layout-2 header,
    .frame-layout-3 header {
        top: 40px;
    }

    .frame-layout-2 header h2,
    .frame-layout-3 header h2,
    .songheng-story h2 {
        font-size: 40px;
    }

    .songheng-product-category {
        min-height: 915px;
    }

    .songheng-product-category .frame-type-ce_grid {
        padding-top: 90px;
    }


    .songheng-story .frame-type-header {
        top: 40px;
        width: 48%;
    }
}